qtscript-opensource-src 5.2.1+dfsg-1ubuntu1 source package in Ubuntu

Changelog

qtscript-opensource-src (5.2.1+dfsg-1ubuntu1) trusty; urgency=medium

  * debian/patches/aarch64.patch
    - Needed to fix arm64 FTBFS

qtscript-opensource-src (5.2.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols files with buildd's logs.
  * Bump Qt build dependencies.

qtscript-opensource-src (5.2.0+dfsg-3) unstable; urgency=medium

  * Do not run tests until we get the transition sorted out.
  * Update symbols files with buildd's logs.

qtscript-opensource-src (5.2.0+dfsg-2) unstable; urgency=medium

  [ Iftikhar Ahmad ]
  * debian/patches/enable-make-check.patch:
    - Fix make check to work.
  * Run tests as part of the override_dh_auto_test

  [ Dmitry Shachnev ]
  * Provide qtscript-abi-5-2-0 (and not 5-1-0).
  * Build tests in build target, and use dh_auto_test.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.
  * Move mkspec files to their new location.
    - B-D on qtbase5-private-dev 5.2.0+dfsg-7 which changed the location.
  * Update symbols files with buildd's logs.
  * Update Standards-Version to 3.9.5, no changes required.

qtscript-opensource-src (5.2.0+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Bump build dependencies.
  * Refresh s390x_jscore.diff.
  * Adjust install files.

qtscript-opensource-src (5.1.1+dfsg-2) unstable; urgency=low

  * Switch symbols substitutions failing in s390 from ssize_t to intptr_t
    (which is the correct type). Tested on a porterbox.
  * Confirm symbols files for all other archs.

qtscript-opensource-src (5.1.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Be verbose on the files we remove to make the source tarball DFSG
    compliant.
  * Tighten Qt 5 build dependencies.
  * Refresh s390x_jscore.diff.

qtscript-opensource-src (5.1.0+dfsg-3) unstable; urgency=low

  * Require pkg-kde-tools with version at least 0.15.8 to fix a symbol
    substitution on s390.

qtscript-opensource-src (5.1.0+dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * Update symbols files.

qtscript-opensource-src (5.1.0+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Fix watch file.
  * Bump Qt dependencies to 5.1.0~.
  * Make libqt5script5 provide qtscript-api-5-1-0.
    In this way we can know if external packages are using private headers.
    - Add the necessary options in the symbols file.
    - Add mark_private_symbols.sh.
    - Mark private symbols.
    - Add lintian overrides for dependency on other lib.
  * Update install files.
  * Update symbols files.
  * Add third party copyright stuff for ce-compat.
 -- Timo Jyrinki <email address hidden>   Mon, 10 Mar 2014 14:30:51 +0000

Upload details

Uploaded by:
Timo Jyrinki on 2014-03-10
Uploaded to:
Trusty
Original maintainer:
Ubuntu Developers
Architectures:
any all
Section:
libs
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Trusty release on 2014-03-14 main libs

Downloads

File Size SHA-256 Checksum
qtscript-opensource-src_5.2.1+dfsg.orig.tar.xz 2.3 MiB d819b70c424ec1785fad0aec2c523ee95858b7ac71248a290f3eaf310a8c380b
qtscript-opensource-src_5.2.1+dfsg-1ubuntu1.debian.tar.gz 15.9 KiB 27d846edd4c320e57a1a36ba63fd5d60d41f9b8a1ae49588a905f52bf571e6a1
qtscript-opensource-src_5.2.1+dfsg-1ubuntu1.dsc 2.8 KiB 3d3f55fed2c73d68e6f1292edd60811d0ef87c2ccc1a53d171bf2b1a25cc6689

View changes file

Binary packages built by this source

libqt5script5: Qt 5 script module

 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtScript module provides classes for making Qt applications scriptable.

libqt5scripttools5: Qt 5 script tools module

 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtScriptTools module provides additional components for applications that
 use Qt Script.
 .
 This package contains the Qt Script debugger, a tool for debugging script
 execution in Qt applications that use Qt Script.

qtscript5-dbg: No summary available for qtscript5-dbg in ubuntu utopic.

No description available for qtscript5-dbg in ubuntu utopic.

qtscript5-dev: No summary available for qtscript5-dev in ubuntu utopic.

No description available for qtscript5-dev in ubuntu utopic.

qtscript5-doc: No summary available for qtscript5-doc in ubuntu utopic.

No description available for qtscript5-doc in ubuntu utopic.

qtscript5-doc-html: Qt 5 script HTML documentation

 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 5 script
 libraries.

qtscript5-examples: No summary available for qtscript5-examples in ubuntu utopic.

No description available for qtscript5-examples in ubuntu utopic.

qtscript5-private-dev: Qt 5 script private development files

 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications QtScript and QtScriptTools private headers.
 .
 Use at your own risk.